<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\InvoiceModel;

class InvoiceModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(InvoiceModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(InvoiceModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(InvoiceModel::class);
    }
}
